Skip to main content
PATCH
/
v1
/
publications
/
{publicationId}
import { ParagraphAPI } from "@paragraph-com/sdk"

const api = new ParagraphAPI({ apiKey: "your-api-key" })
await api.publications.update({
  id: "BMV6abfvCSUl51ErCVzd",
  featuredPost: "3T2PQZlsdQtigUp4fhlb",
})
{
  "id": "<string>",
  "name": "<string>",
  "ownerUserId": "<string>",
  "slug": "<string>",
  "customDomain": "<string>",
  "summary": "<string>",
  "logoUrl": "<string>",
  "postListType": "feed",
  "themeColor": "default",
  "headerFont": "default",
  "bodyFont": "default",
  "showMostPopular": true,
  "hideStats": true,
  "featuredPost": "<string>",
  "disableComments": true,
  "disableHighlights": true,
  "enableTableOfContents": true,
  "enableSubscribePopup": true,
  "enableSubscribeScroll": true,
  "pinnedPostIds": [
    "<string>"
  ],
  "emailNotifications": {
    "newComment": true,
    "newSubscriber": true,
    "newPaidSubscriber": true,
    "newContentCollected": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://paragraph.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authenticating protected endpoints. Pass as Bearer token in Authorization header.

Path Parameters

publicationId
string
required

Unique identifier of the publication to update

Body

application/json

Body

name
string

Display name of the publication

Required string length: 1 - 100
summary
string

Brief description of the publication (max 500 characters)

Maximum string length: 500
postListType
enum<string>

Homepage layout. 'feed' is a single-column list of cards, 'grid' is a 3-column grid, 'full-post' shows full posts in a single column.

Available options:
feed,
grid,
full-post
themeColor
enum<string>

Theme accent color for the publication

Available options:
default,
orange-500,
rose-600,
pink-500,
fuchsia-600,
purple-600,
violet-600,
indigo-600,
blue-600,
sky-600,
cyan-600,
teal-600,
emerald-600,
green-600,
lime-600,
yellow-700,
amber-600,
orange-600,
stone-800,
rose-900,
indigo-950,
teal-950,
lime-950,
orange-950
headerFont
enum<string>

Font family used for headers

Available options:
default,
serif,
mono
bodyFont
enum<string>

Font family used for body text

Available options:
default,
serif,
mono

Whether to show the 'most popular posts' widget

hideStats
boolean

Whether to hide stats like subscriber count, post count, and collects

featuredPost
string

Featured post selector. Use 'latest' for the most recent post, 'popular' for the most-viewed post, 'disabled' to hide the featured slot, or the ID of a specific post in this publication.

Minimum string length: 1
disableComments

Comment visibility. true disables all comments, false enables them, 'on-platform' hides on-Paragraph comments while keeping Farcaster comments.

disableHighlights
boolean

Whether to disable highlights on posts

enableTableOfContents
boolean

Whether the table of contents is enabled on posts

enableSubscribePopup
boolean

Whether to show the subscribe popup to first-time visitors arriving from external links

enableSubscribeScroll
boolean

Whether to show the subscribe popup when first-time visitors scroll a post

pinnedPostIds
string[]

Ordered list of post IDs to pin to the top of the homepage. Each ID must belong to this publication. Replaces the existing pinned list. Maximum 50 IDs.

Maximum array length: 50
Required string length: 1 - 64
emailNotifications
object

Owner-side email notification toggles

Response

Publication updated successfully — returns the updated publication

id
string
required

Unique identifier for the publication

name
string
required

Display name of the publication

ownerUserId
string
required

ID of the user who owns this publication

slug
string
required

URL-friendly identifier for the publication; accessible at paragraph.com/@[slug]

Required string length: 1 - 256
customDomain
string<uri>

Custom domain configured for this publication

summary
string

Brief description of the publication (max 500 characters)

Maximum string length: 500
logoUrl
string<uri>

URL to the publication's logo image

postListType
enum<string>

Homepage layout. 'feed' is a single-column list of cards, 'grid' is a 3-column grid, 'full-post' shows full posts in a single column.

Available options:
feed,
grid,
full-post
themeColor
enum<string>

Theme accent color for the publication

Available options:
default,
orange-500,
rose-600,
pink-500,
fuchsia-600,
purple-600,
violet-600,
indigo-600,
blue-600,
sky-600,
cyan-600,
teal-600,
emerald-600,
green-600,
lime-600,
yellow-700,
amber-600,
orange-600,
stone-800,
rose-900,
indigo-950,
teal-950,
lime-950,
orange-950
headerFont
enum<string>

Font family used for headers

Available options:
default,
serif,
mono
bodyFont
enum<string>

Font family used for body text

Available options:
default,
serif,
mono

Whether the 'most popular posts' widget is shown

hideStats
boolean

Whether to hide stats like subscriber count, post count, and collects

featuredPost
string

Featured post selector. Use 'latest' for the most recent post, 'popular' for the most-viewed post, 'disabled' to hide the featured slot, or the ID of a specific post in this publication.

Minimum string length: 1
disableComments

Comment visibility. true disables all comments, false enables them, 'on-platform' hides on-Paragraph comments while keeping Farcaster comments.

disableHighlights
boolean

Whether to disable highlights on this publication's posts

enableTableOfContents
boolean

Whether the table of contents is enabled on posts

enableSubscribePopup
boolean

Whether to show the subscribe popup to first-time visitors arriving from external links

enableSubscribeScroll
boolean

Whether to show the subscribe popup when first-time visitors scroll a post

pinnedPostIds
string[]

Ordered list of post IDs pinned to the top of the publication's homepage. Pinned posts render in their own section above the regular feed.

emailNotifications
object

Owner-side email notification toggles